@import '../../vars.scss';

.tooltipContainer {
  position: absolute;
  font-family: $font-inter;
  .infoTooltipIcon {
    position: absolute;
    width: 20px;
    height: 20px;

    &:hover ~ .infoTooltipContent {
      visibility: visible;
    }
  }

  .arrow {
    position: absolute;
    right: 4px;
    bottom: -9px;
    height: 37px;
    width: 45px;
    clip-path: polygon(0% 0%, 80% 100%, 0% 100%);
    transform: rotate(-45deg);
    border-radius: 0 0 0 4px;
    background: #EAF6ED;

    @media (min-width: 768px) {
      right: 37px;
    }
  }

  .infoTooltipContent {
    visibility: hidden;
    position: absolute;
    bottom: 27px;
    right: -40px;
    width: 100vw;
    opacity: 1;
    background-color: #EAF6ED;
    border-radius: 9px;
    padding: 22px 21px 27px 26px;

    @media (min-width: 300px) {
      width: 267px;
    }

    @media (min-width: 768px) {
      width: 316px;
      bottom: 27px;
      right: -72px;
    }

    .content {
      letter-spacing: 0.02em;
      text-align: left;
      text-shadow: 0px 2px 50px $c-white;
      .title {
        display: inline-block;
        font-weight: 700;
        font-size: 14px;
        line-height: 17px;
        color: #2e2b26;
        margin-bottom: 8px;
      }
      .text {
        font-weight: 400;
        font-size: 12px;
        line-height: 15px;
        color: #2e2b26;
      }
    }
  }
}
